Loading...
Searching...
No Matches
OFconditional< B, T, F > Struct Template Reference

Metafunction to select one of two types depending on a template parameter. More...

## Detailed Description

template<OFBool B, typename T, typename F>
struct OFconditional< B, T, F >

Metafunction to select one of two types depending on a template parameter.

See also
  http://en.cppreference.com/w/cpp/types/conditional for details.

Template Parameters

  B | If B is OFtrue, OFconditional has a public member typedef type, equal to T; otherwise, type equals F.
  T | The type to use for "type" if B equals OFTrue.
  F | The type to use for "type" if B equals OFFalse.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0